# BookingNotification Ready

`BookingNotification` method, also known as the `UpdateBooking` Real-Time Update (RTU), notifies
Google when an update is made to the Actions Center booking on your system.
Example situations include canceled or modified reservations. That is when a
[`notification.partners.bookings.patch`](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/notification.partners.bookings/patch) or `BookingNotification.UpdateBooking` must be sent.

## BookingNotification task requirements

To complete this task, send valid `BookingNotifications` with no errors. Calls
to Availability Replace, Merchant, and Service methods can invalidate the task.

### Modifiable fields

- `startTime`
- `duration`
- `partySize`

The `name`, `merchant_id`, `service_id`, and any specific field that changes
must be specified. All other fields are optional. In some cases, multiple fields
can change at the same time. In such cases, commas separate the fields in the
`updateMask`. For example, `updateMask=partySize,startTime`.

If the task is successful, the response body contains an instance of [Booking](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/notification.partners.bookings#Booking).

## Cancelation request example

    Request:
    PATCH https://mapsbooking.googleapis.com/v1alpha/notification/partners/<PARTNER_ID>/bookings/<BOOKING_ID>?updateMask=status

    Body:
    {
      "name": "partners/<PARTNER_ID>/bookings/<BOOKING_ID>",
      "merchantId": "10001",
      "serviceId": "1001",
      "status": "CANCELED"
    }

### Response body

#### Cancelation response example

    booking: {
        name: "partners/<PARTNER_ID>/bookings/<BOOKING_ID>",
        merchant_id: "10001",
        service_id: "1001",
        start_time: {
          seconds: 1736120700
    },
        duration: {
          seconds: 900
    },
        status: "CANCELED",
        party_size: 2
    }